%define rel 1

Name:          lxqt-qtplugin
Version:       1.3.0
Release:       %mkrel %rel
Summary:       Qt plugin for the LXQt desktop
License:       LGPLv2+
Group:         Graphical desktop/KDE
URL:           https://lxqt-project.org/
Source0:       https://github.com/lxqt/lxqt-qtplugin/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: pkgconfig(lxqt)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Help)
BuildRequires: pkgconfig(dbusmenu-qt5)
BuildRequires: pkgconfig(libfm-qt)

%description
Qt plugin for the LXQt desktop.

%prep
%setup -q %{name}-%{version}

%build
%cmake_qt5
%cmake_build

%install
%cmake_install

%files
%{_qt5_plugindir}/platformthemes/*


%changelog
* Sun Apr 16 2023 papoteur <papoteur> 1.3.0-1.mga9
+ Revision: 1953143
- new version 1.3.0

* Mon Feb 06 2023 papoteur <papoteur> 1.2.0-2.mga9
+ Revision: 1938788
- rebuild for compilation with C++17 standard

* Sun Nov 06 2022 papoteur <papoteur> 1.2.0-1.mga9
+ Revision: 1904141
- new version 1.2.0

* Mon Apr 25 2022 papoteur <papoteur> 1.1.0-1.mga9
+ Revision: 1853311
- Release 1.1.0

* Sun Dec 12 2021 neoclust <neoclust> 1.0.0-1.mga9
+ Revision: 1761583
- New version 1.0.0

* Fri Apr 16 2021 daviddavid <daviddavid> 0.17.0-1.mga9
+ Revision: 1716055
- New version 0.17.0

* Thu Dec 17 2020 umeabot <umeabot> 0.16.0-2.mga8
+ Revision: 1658999
- Rebuild for new Qt5

* Sat Nov 07 2020 daviddavid <daviddavid> 0.16.0-1.mga8
+ Revision: 1643184
- New version 0.16.0

* Sat Jun 06 2020 daviddavid <daviddavid> 0.15.1-1.mga8
+ Revision: 1590679
- New version 0.15.1
- update Url

* Sat Apr 25 2020 daviddavid <daviddavid> 0.15.0-1.mga8
+ Revision: 1571816
- New version 0.15.0

* Sat Feb 15 2020 umeabot <umeabot> 0.14.0-4.mga8
+ Revision: 1524812
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Mar 31 2019 umeabot <umeabot> 0.14.0-3.mga7
+ Revision: 1383297
- Qt5 Rebuild

* Thu Mar 28 2019 daviddavid <daviddavid> 0.14.0-2.mga7
+ Revision: 1380851
- rebuild for new Qt5 5.12.2

* Sun Jan 27 2019 daviddavid <daviddavid> 0.14.0-1.mga7
+ Revision: 1361281
- New version 0.14.0

* Fri Dec 28 2018 daviddavid <daviddavid> 0.13.0-4.mga7
+ Revision: 1345478
- rebuild for new Qt5 5.12.0

* Sun Sep 23 2018 umeabot <umeabot> 0.13.0-3.mga7
+ Revision: 1299411
- Mageia 7 Mass Rebuild

* Wed Jun 20 2018 daviddavid <daviddavid> 0.13.0-2.mga7
+ Revision: 1238252
- rebuild for new libfm-qt

* Sun Jun 10 2018 daviddavid <daviddavid> 0.13.0-1.mga7
+ Revision: 1235871
- New version 0.13.0

* Thu Nov 02 2017 neoclust <neoclust> 0.12.0-1.mga7
+ Revision: 1175563
- New version 0.12.0

* Tue Nov 08 2016 neoclust <neoclust> 0.11.0-1.mga6
+ Revision: 1065975
- New version 0.11.0

* Mon Mar 28 2016 doktor5000 <doktor5000> 0.10.0-4.mga6
+ Revision: 995921
+ rebuild (emptylog)

* Mon Feb 15 2016 umeabot <umeabot> 0.10.0-3.mga6
+ Revision: 961343
- Mageia 6 Mass Rebuild

* Tue Nov 10 2015 neoclust <neoclust> 0.10.0-2.mga6
+ Revision: 900885
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 0.10.0-1.mga6
+ Revision: 900213
- New version 0.10.0

* Sun Feb 22 2015 doktor5000 <doktor5000> 0.9.0-1.mga5
+ Revision: 816438
- new version 0.9.0
- dropped lxqt-qtplugin-mga-xdg_data_dir.patch, merged upstream
- remove conditional handling for QT5 as QT4 is not supported anymore
- adjusted BuildRequires from pkgconfig(lxqt-qt5) to pkgconfig(lxqt)
- use new URL http://downloads.lxqt.org/lxqt/

* Wed Dec 17 2014 doktor5000 <doktor5000> 0.8.0-3.mga5
+ Revision: 803669
- rebuild for QT 5.4 breakage

* Sat Oct 25 2014 doktor5000 <doktor5000> 0.8.0-2.mga5
+ Revision: 793189
- add support for XDG_DATA_DIR usage for icon search

* Sun Oct 19 2014 doktor5000 <doktor5000> 0.8.0-1.mga5
+ Revision: 790984
- add missing BuildRequires on BuildRequires: pkgconfig(Qt5Help)
- new version 0.8
- enabled QT5 build
- correct license
- added missing BuildRequires on qt5gui-private-devel

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-3.mga5
+ Revision: 739614
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-2.mga5
+ Revision: 682096
- Mageia 5 Mass Rebuild

* Sun May 25 2014 doktor5000 <doktor5000> 0.7.0-1.mga5
+ Revision: 626374
- use %%mkrel
- fix BuildRequires
- imported package lxqt-qtplugin


* Thu May 08 2014 Rosa <rosa@abf.rosalinux.ru> 0.7.0-1
+ Revision: b7cc3a9
- Automatic import for version 0.7.0-1


